import dynamix_sdk.base as _base


class CloudbrokerVnfdevMigrateAbortResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerVnfdevMigrateAbortProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate_abort(
        self,
        *,
        vnfdev_id: int,
    ) -> CloudbrokerVnfdevMigrateAbortResultBool:
        ...
